pcl::segmentation::grabcut::Color Struct Reference

Structure to save RGB colors into floats. More...

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| Color ()
| Color (float _r, float _g, float _b)
| Color (const pcl::RGB &color)
template<typename PointT >
| Color (const PointT &p)
template<typename PointT >
| operator PointT () const

## Public Attributes

float | r
float | g
float | b

## Detailed Description

Structure to save RGB colors into floats.

Definition at line 173 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

pcl::segmentation::grabcut::Color::Color | ( |  | ) |

inline

Definition at line 175 of file grabcut_segmentation.h.

pcl::segmentation::grabcut::Color::Color | ( | float | _r,
|  | float | _g,
|  | float | _b
| ) |  |

inline

Definition at line 176 of file grabcut_segmentation.h.

pcl::segmentation::grabcut::Color::Color | ( | const pcl::RGB & | color | ) |

inline

Definition at line 177 of file grabcut_segmentation.h.

template<typename PointT >

pcl::segmentation::grabcut::Color::Color | ( | const PointT & | p | ) |

Definition at line 56 of file grabcut_segmentation.hpp.

## Member Function Documentation

template<typename PointT >

pcl::segmentation::grabcut::Color::operator PointT | ( |  | ) | const

Definition at line 64 of file grabcut_segmentation.hpp.

## Member Data Documentation

float pcl::segmentation::grabcut::Color::b

Definition at line 185 of file grabcut_segmentation.h.

Referenced by pcl::squaredEuclideanDistance().

float pcl::segmentation::grabcut::Color::g

Definition at line 185 of file grabcut_segmentation.h.

Referenced by pcl::squaredEuclideanDistance().

float pcl::segmentation::grabcut::Color::r

Definition at line 185 of file grabcut_segmentation.h.

Referenced by pcl::squaredEuclideanDistance().

The documentation for this struct was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/segmentation/include/pcl/segmentation/grabcut_segmentation.h
- /build/pcl-0nnAvv/pcl-1.7.2/segmentation/include/pcl/segmentation/impl/grabcut_segmentation.hpp